Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class JboTesterUtil

`java.lang.Object
oracle.jbo.jbotester.JboTesterUtil`

public final class JboTesterUtil
extends java.lang.Object

Field Summary
`static java.lang.String` | `EJB_CLIENT_JARS`
`static java.lang.String` | `IMAGELOC`

Constructor Summary
`JboTesterUtil()`

Method Summary
`static void` | `addSpacerPanel(javax.swing.JPanel panel, int x, int y)`
`static void` | `centerWindow(java.awt.Window window)`
`static javax.swing.JButton` | `createButton(int buttonResId)` Instantiates a new JButton The text is taken from the resource ID, and the mnemonic is assigned if specified in the resource string.
`static javax.swing.JButton` | `createButton(java.lang.String buttonLabel)` Instantiates a new JButton The specified text is used at the label text The mnemonic is assigned if specified in the text.
`static javax.swing.JCheckBox` | `createCheckBox(int checkBoxLabelID)`
`static javax.swing.JCheckBox` | `createCheckBox(java.lang.String checkBoxLabel)` Create a checkbox with the specified label Assign a mnemonic if the label has a mnemonic key specified
`static javax.swing.JLabel` | `createLabel(int labelResId, java.awt.Component labelFor)`
`static void` | `createViewCriteria(MainFrame parent, ViewObject vo)`
`static void` | `editBindParameters(MainFrame parent, ViewObject vo)`
`static java.lang.Object` | `getData(Row row, AttributeDef attrDef, LocaleContext locale)`
`static java.lang.String` | `getDataAsXML(ViewObject vo)`
`static AttributeDef[]` | `getDisplayableAttributes(RowSet rs)`
`static javax.swing.ImageIcon` | `getIcon(java.lang.String iconName)`
`static int` | `getMnemonicKeyCode(int resId)`
`static int` | `getMnemonicKeyCode(java.lang.String string)` Returns the key code for the mnemonic in the string.
`static boolean` | `hasBindParameters(ViewObject vo)`
`static void` | `removeKeyBindingCompatibility(javax.swing.JTextField tf)`
`static void` | `setData(Row row, AttributeDef attrDef, LocaleContext locale, java.lang.Object value)`
`static void` | `setMnemonic(javax.swing.JButton button, int resId)`
`static java.lang.String` | `stripMnemonic(int resId)`
`static java.lang.String` | `stripMnemonic(java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EJB_CLIENT_JARS

    public static final java.lang.String EJB_CLIENT_JARS

  See Also:
    Constant Field Values

### IMAGELOC

    public static final java.lang.String IMAGELOC

  See Also:
    Constant Field Values

Constructor Detail

### JboTesterUtil

    public JboTesterUtil()

Method Detail

### centerWindow

    public static void centerWindow(java.awt.Window window)

### getDataAsXML

    public static java.lang.String getDataAsXML(ViewObject vo)

### getDisplayableAttributes

    public static AttributeDef[] getDisplayableAttributes(RowSet rs)

### getIcon

    public static javax.swing.ImageIcon getIcon(java.lang.String iconName)

### removeKeyBindingCompatibility

    public static void removeKeyBindingCompatibility(javax.swing.JTextField tf)

### createViewCriteria

    public static void createViewCriteria(MainFrame parent,
                                          ViewObject vo)

### editBindParameters

    public static void editBindParameters(MainFrame parent,
                                          ViewObject vo)

### hasBindParameters

    public static boolean hasBindParameters(ViewObject vo)

### setData

    public static void setData(Row row,
                               AttributeDef attrDef,
                               LocaleContext locale,
                               java.lang.Object value)

### getData

    public static java.lang.Object getData(Row row,
                                           AttributeDef attrDef,
                                           LocaleContext locale)

### setMnemonic

    public static void setMnemonic(javax.swing.JButton button,
                                   int resId)

### stripMnemonic

    public static java.lang.String stripMnemonic(int resId)

### stripMnemonic

    public static java.lang.String stripMnemonic(java.lang.String string)

### getMnemonicKeyCode

    public static int getMnemonicKeyCode(int resId)

### getMnemonicKeyCode

    public static int getMnemonicKeyCode(java.lang.String string)

  Returns the key code for the mnemonic in the string. Returns VK_UNDEFINED if the string does not contain a mnemonic.

### createButton

    public static javax.swing.JButton createButton(int buttonResId)

  Instantiates a new JButton The text is taken from the resource ID, and the mnemonic is assigned if specified in the resource string.
  Parameters:
    `buttonResId` - the resource ID
  Returns:
    the new JButton

### createButton

    public static javax.swing.JButton createButton(java.lang.String buttonLabel)

  Instantiates a new JButton The specified text is used at the label text The mnemonic is assigned if specified in the text.
  Parameters:
    `buttonLabel` -
  Returns:
    the new JButton

### createCheckBox

    public static javax.swing.JCheckBox createCheckBox(int checkBoxLabelID)

### createCheckBox

    public static javax.swing.JCheckBox createCheckBox(java.lang.String checkBoxLabel)

  Create a checkbox with the specified label Assign a mnemonic if the label has a mnemonic key specified
  Parameters:
    `checkBoxLabel` -
  Returns:
    the new CheckBox

### createLabel

    public static javax.swing.JLabel createLabel(int labelResId,
                                                 java.awt.Component labelFor)

### addSpacerPanel

    public static void addSpacerPanel(javax.swing.JPanel panel,
                                      int x,
                                      int y)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.